#ifndef X_UIMSGBOXYESNOCANCEL_H
#define X_UIMSGBOXYESNOCANCEL_H

#include <LoQClass/loqdialog.h>

namespace Ui {
class X_UIMsgBoxYesNoCancel;
}

class X_UIMsgBoxYesNoCancel : public LoQDialog
{
    Q_OBJECT

public:
    explicit X_UIMsgBoxYesNoCancel(QWidget *parent = nullptr);
    X_UIMsgBoxYesNoCancel(QString strTitle,QString text, QWidget *parent = nullptr);
    ~X_UIMsgBoxYesNoCancel();
    int m_flagSave=0;
private:
    Ui::X_UIMsgBoxYesNoCancel *ui;
protected slots:
    void onYes();
    void onNo();


};

#endif // X_UIMSGBOXYESNOCANCEL_H
